com.genesyslab.wfm8.API.service.builder851

## Interface WFMBuilderService851Soap

-     public interface WFMBuilderService851Soap

  WFM Builder interface

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelAndSaveRequest(java.lang.String requestID)`
    `void` | `cancelRequest(java.lang.String requestID)`
    `void` | `closeAllRequests()`
    `void` | `closeRequest(java.lang.String requestID)`
    `java.lang.String` | `createReoptimizationRequest(int scheduleID, java.util.List<SiteReoptimizationParams> siteArray, java.util.List<java.lang.Integer> activityIDArray, int reoptimizationType, int timeZoneID, double reoptimizationStartDate, int reoptimizationStartMinute, boolean fixShiftStart, boolean fixShiftEnd, boolean fixShiftPaidDuration, boolean useCurrentAgentDayActivities, boolean saveToCommitted)` Reoptimizes schedule for the specified schedule scenario sites
    `java.lang.String` | `createRescheduleRequest(int scheduleID, java.util.List<SiteRescheduleParams> siteArray, double rescheduleStartDate, double rescheduleEndDate)` Rebuilds schedule for the specified schedule scenario sites
    `java.lang.String` | `createScheduleRequest(int scheduleID, java.util.List<SiteScheduleParams> siteArray)` Builds schedule for the specified schedule scenario sites
    `int` | `getRequestProgress(java.lang.String requestID)`
    `QueueInfoHolder` | `getRequestQueueInfo()`
    `boolean` | `getRequestResult(java.lang.String requestID)`
    `RequestStatus` | `getRequestStatus(java.lang.String requestID)`
    `RequestInfoHolder` | `getRequestStatusInfo(java.lang.String requestID)`
    `void` | `waitForAllRequests()`

- - ### Method Detail

    - #### createScheduleRequest

          java.lang.String createScheduleRequest(int scheduleID,
                                               java.util.List<SiteScheduleParams> siteArray)

      Builds schedule for the specified schedule scenario sites
      Parameters:
        `scheduleID` - Schedule scenario ID
        `siteArray` - The list of scheduling parameters for each site.
      Returns:
        String Scheduling request ID

    - #### createRescheduleRequest

          java.lang.String createRescheduleRequest(int scheduleID,
                                                 java.util.List<SiteRescheduleParams> siteArray,
                                                 double rescheduleStartDate,
                                                 double rescheduleEndDate)

      Rebuilds schedule for the specified schedule scenario sites
      Parameters:
        `scheduleID` - Schedule scenario ID
        `siteArray` - The list of re-scheduling parameters for each site.
        `rescheduleStartDate` - Reschedule start date (must be inside of the schedule scenario).
        `rescheduleEndDate` - Reschedule end date (must be inside of the schedule scenario).
      Returns:
        String Scheduling request ID

    - #### createReoptimizationRequest

          java.lang.String createReoptimizationRequest(int scheduleID,
                                                     java.util.List<SiteReoptimizationParams> siteArray,
                                                     java.util.List<java.lang.Integer> activityIDArray,
                                                     int reoptimizationType,
                                                     int timeZoneID,
                                                     double reoptimizationStartDate,
                                                     int reoptimizationStartMinute,
                                                     boolean fixShiftStart,
                                                     boolean fixShiftEnd,
                                                     boolean fixShiftPaidDuration,
                                                     boolean useCurrentAgentDayActivities,
                                                     boolean saveToCommitted)

      Reoptimizes schedule for the specified schedule scenario sites
      Parameters:
        `scheduleID` - Schedule scenario ID
        `siteArray` - The list of re-optimization parameters for each site.
        `activityIDArray` - Activity IDs that should be considered for re-optimization
        `reoptimizationType` - Schedule Reoptimization type. `EBldReoptimizationType`
        `timeZoneID` - Time zone for reoptimization start date and time. When -1 then If single site is specified then local site time is used. If multiple sites are specified then BU timezone is used
        `reoptimizationStartDate` - The day where schedule must be reoptimized.
        `reoptimizationStartMinute` - The minute after which schedule must be reoptimized.
        `fixShiftStart` - True/false if shifts' start times can not move when reoptimizing.
        `fixShiftEnd` - True/false if shifts' end times can not move when reoptimizing.
        `fixShiftPaidDuration` - True/false if paid durations can not change when reoptimizing.
        `useCurrentAgentDayActivities` - True/false if the same activities should be reused for daily activity distribution when reoptimizing.
        `saveToCommitted` - True if scheduling result should be saved to committed, false if scheduling result should be saved to pending
      Returns:
        String Scheduling request ID

    - #### closeRequest

          void closeRequest(java.lang.String requestID)

      Parameters:
        `requestID` - Scheduling request ID

    - #### cancelRequest

          void cancelRequest(java.lang.String requestID)

      Parameters:
        `requestID` - Scheduling request ID

    - #### closeAllRequests

          void closeAllRequests()

    - #### waitForAllRequests

          void waitForAllRequests()

    - #### cancelAndSaveRequest

          void cancelAndSaveRequest(java.lang.String requestID)

      Parameters:
        `requestID` - Scheduling request ID

    - #### getRequestResult

          boolean getRequestResult(java.lang.String requestID)

      Parameters:
        `requestID` - Scheduling request ID
      Returns:
        boolean

    - #### getRequestProgress

          int getRequestProgress(java.lang.String requestID)

      Parameters:
        `requestID` - Scheduling request ID
      Returns:
        int

    - #### getRequestStatus

          RequestStatus getRequestStatus(java.lang.String requestID)

      Parameters:
        `requestID` - Scheduling request ID
      Returns:
        `RequestStatus`

    - #### getRequestStatusInfo

          RequestInfoHolder getRequestStatusInfo(java.lang.String requestID)

      Parameters:
        `requestID` - Scheduling request ID
      Returns:
        `RequestInfoHolder`

    - #### getRequestQueueInfo

          QueueInfoHolder getRequestQueueInfo()

      Returns:
        `QueueInfoHolder`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.